POST /whatsapp/conversions

Send a conversion event for a Click-to-WhatsApp conversation (email and externalId hashed)

POST
/whatsapp/conversions

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

eventName*string
eventId*string
eventTime?integer
conversationId?string
phoneE164?string
ctwaClid?string
value?number
currency?string
contentIds?array<string>
email?string
externalId?string
testCode?string

Response Body

{platform, eventsReceived, eventsFailed, failures, traceId}

application/json
  1. response
platform?string
eventsReceived?integer
eventsFailed?integer
failures?array<>
traceId?string|null
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/conversions' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "eventName": "string",  "eventId": "string"}'
Example Response
{  "platform": "string",  "eventsReceived": 0,  "eventsFailed": 0,  "failures": [    {}  ],  "traceId": "string"}